<template>
  <div class="container-accumulativeFrequency">
    <el-dialog :visible.sync="accumulativeFrequencyDlg" :close-on-click-modal="false" :modal-append-to-body="false" @close="closeDia" width="800px" v-dialogDrag center>
      <div slot="title" style="display: flex; alignitems: center">
        <!-- <img :src="$icons.auth" style="color: #fff; width: 16px; height: 16px; marginright: 5px" /> -->
        <span style="fontsize: 16px">{{ accumulativeFrequencyItem.CompanyName }}-路演详情</span>
      </div>
      <div>累计路演次数：{{ accumulativeFrequencyItem.RoadShowTotal }}</div>
      <div>
        <el-table :data="tableData" height="350" style="width: 100%; margin: 20px 0 30px" border>
          <el-table-column prop="RoadShowTime" label="路演日期" align="center"> </el-table-column>
          <el-table-column prop="RoadshowType" label="路演形式" align="center"> </el-table-column>
          <el-table-column prop="RoadshowPlatform" label="路演平台" align="center"> </el-table-column>
          <el-table-column prop="Researchers" label="研究员" align="center"> </el-table-column>
          <el-table-column prop="SysUserRealName" label="对接销售" align="center"> </el-table-column>
        </el-table>
      </div>
    </el-dialog>
  </div>
</template>

<script>
import { customInterence } from "@/api/api.js";
export default {
  name: "",
  components: {},
  props: {
    accumulativeFrequencyDlg: {
      type: Boolean,
      default: false,
    },
    accumulativeFrequencyItem: {
      type: Object,
      default: {},
    },
  },
  data() {
    return {
      tableData: [],
      name: "a",
    };
  },
  computed: {},
  watch: {
    accumulativeFrequencyDlg: {
      handler(newval) {
        if (newval) {
          this.roadShowList();
        }
      },
    },
  },
  created() {},
  mounted() {},
  methods: {
    closeDia() {
      this.$emit("update:accumulativeFrequencyDlg", false);
      this.$emit("update:accumulativeFrequencyItem", {});
    },
    async roadShowList() {
      const res = await customInterence.roadShowList({
        CompanyId: this.accumulativeFrequencyItem.CompanyId,
      });
      if (res.Ret === 200) {
        this.tableData = res.Data || [];
      }
    },
  },
};
</script>
<style scoped lang="less"></style>
